@echo off

title Windows 2000 compressed folder support script

rem
rem Windows 2000 Compressed Folder Support script - version 2
rem by infrared (ncrosby96@gmail.com)
rem This command script copies files related to compressed (zip)
rem folders from Windows 98's Plus! pack and installs them to a Windows 2000 system.
rem

:file_check
if NOT exist .\dunzip32.dll goto filesmissing
if NOT exist .\dzip32.dll goto filesmissing
if NOT exist .\zipfldr.dll goto filesmissing
if NOT exist ".\Compressed Folder.ZFSendToTarget" goto sendtotargetmissing
goto decide

:filesmissing
cls
echo CRITICAL ERROR: Some, if not all files required for this patch are missing.
echo Please make sure that all the files required for this patch are
echo present in the same folder as this script.
echo.
echo For reference, the files required for this patch are:
echo dunzip32.dll
echo dzip32.dll
echo zipfldr.dll
echo Compressed Folder.ZFSendToTarget
echo.
echo Press any key to exit.
echo.
pause
exit

:sendtotargetmissing
echo WARNING: the file: "Compressed Folder.ZFSendToTarget" is missing!
echo If you choose to continue the installation, there won't be an
echo option to send files to a zip folder!
echo.
shuttle -c "yn" "Do you want to continue?"
if errorlevel 1 exit
echo.
echo.
goto decide

:decide
shuttle -c "in" "Please type 'i' if you're installing the patch, and 'n' if uninstalling."
if errorlevel 1 goto check_if_not_installed
if errorlevel 0 goto check_if_installed

:check_if_installed
if exist %windir%\System32\dunzip32.dll goto already_installed
if exist %windir%\System32\dzip32.dll goto already_installed
if exist %windir%\System32\zipfldr.dll goto already_installed
goto install

:already_installed
cls
echo This patch is already installed. 
echo There is no need to re-patch the system.
echo.
echo Press any key to quit.
echo.
pause
exit

:check_if_not_installed
if NOT exist %windir%\system32\dunzip32.dll goto not_installed
if NOT exist %windir%\system32\dzip32.dll goto not_installed
if NOT exist %windir%\system32\zipfldr.dll goto not_installed
goto uninstall

:not_installed
cls
echo The patch is not installed. 
echp There is no need to uninstall it.
echo.
echo Press any key to quit
echo.
pause
exit

:install
cls
echo This command script will install the zip folder support files from
echo the Windows 98 Plus! pack.
echo.
shuttle -c "yn" "Are you sure you want to continue?"
if errorlevel 1 exit
echo.
echo.
echo Copying files...
copy dunzip32.dll %windir%\system32\dunzip32.dll
copy dzip32.dll %windir%\system32\dzip32.dll
copy zipfldr.dll %windir%\system32\zipfldr.dll
copy "Compressed Folder.ZFSendToTarget" "%userprofile%\SendTo\Compressed Folder.ZFSendToTarget"
copy "Compressed FOlder.ZFSendToTarget" "%systemdrive%\Documents and Settings\Default User\SendTo\Compressed Folder.ZFSendToTarget"
echo Registering zipfldr.dll...
regsvr32 %windir%\system32\zipfldr.dll /s
if errorlevel 1 goto error
goto end

:uninstall
cls
echo This command script will uninstall the zip folder support files from
echo the Windows 98 Plus! pack.
echo.
shuttle -c "yn" "Are you sure you want to continue?"
if errorlevel 1 exit
echo.
echo.
echo Deleting files..
del %windir%\system32\dunzip32.dll
del %windir%\system32\dzip32.dll
del "%userprofile%\SendTo\Compressed Folder.ZFSendToTarget"
del "%systemdrive%\Documents and Settings\Default User\SendTo\Compressed Folder.ZFSendToTarget"
echo De-registering zipfldr.dll...
regsvr32 %windir%\system32\zipfldr.dll /u /s
if errorlevel 1 goto error2
echo Deleting zipfldr.dll...
del %windir%\system32\zipfldr.dll
goto end

:error
cls
echo Error detected. Deleting files...
del %windir%\system32\dunzip32.dll
del %windir%\system32\dzip32.dll
del %windir%\system32\zipfldr.dll
del "%userprofile%\SendTo\Compressed Folder.ZFSendToTarget"
del "%systemdrive%\Documents and Settings\Default User\SendTo\Compressed Folder.ZFSendToTarget"
echo.
echo There was an error registering zipfldr.dll. Please do the patch manually.
echo Copy the DLL files to the %windir%\system32 directory, then open the run prompt
echo and enter: regsvr32 %windir%\system32\zipfldr.dll. Then copy
echo Compressed Folder.ZFSendToTarget to the SendTo folder (hidden) in your
echo User Account folder. If you want the shortcut to appear when a new user
echo is created, copy Compressed Folder.ZFSendToTarget to the hidden
echo Default User folder in Documents and Settings.
echo If there were no errors, reboot the system.
echo.
echo Press any key to exit.
echo.
pause
exit

:error2
cls
echo There was an error de-registering zipfldr.dll. Please uninstall manually.
echo Open the run prompt and enter: regsvr32 %windir%\system32\zipfldr.dll /u /s
echo If there were no errors, delete zipfldr.dll from %windir\system32\zipfldr.dll.
echo Then reboot the system.
echo.
echo All other files from this patch have been removed from the system.
echo.
echo Press any key to exit.
echo.
pause
exit

:end
echo.
echo Process completed. 
echo Please press any key to reboot the system.
echo.
pause
echo Rebooting system...
shuttle -x